	//******************************//
	//				//
	//       the arche Glass	//	
	//	  and XtalGlass		//
	//******************************//

textures/castle/archglass_blue
{
	qer_editorimage textures/castle/arch1_blue.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans	
	surfaceparm nonsolid
	cull none

	{
		map textures/castle/glass_arch.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/castle/glass_blue.tga
		tcmod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}	
}




textures/castle/xtal_glass
{
	//qer_editorimage textures/castle/xtal_glass_edit.tga
	surfaceparm nolightmap
	qer_trans .4
	cull twosided
        {
		map textures/castle/xtal_glass.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//************************ end of arche glass *******************************//
///////////////////////////////////////////////////////////////////////////////










	//******************************//
	//				//
	//       The Castle Sky		//	
	//				//
	//******************************//

textures/castle/castlesky
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 50
	q3map_sun	.5 .6 .8 100 70 60

	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/topclouds.tga
	skyparms - 512 -


	{
		map textures/castle/clouds_dark.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/castle/clouds_high.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//******************* end of sky********************************//
//////////////////////////////////////////////////////////////////










	//**********************************************//
	//						//
	//                 The Jump Pad's		//
	//              red, blue and normal		//
	//**********************************************//

textures/castle/marble_jumpad_1a_b
{
	qer_editorimage textures/castle/marble_jumpad_1a_edit.tga
	q3map_lightimage textures/castle/jumppadsmall_b.tga	
	q3map_surfacelight 200
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/castle/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/castle/marble_jumpad_1a.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/castle/marble_padglow.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
	{
		clampmap textures/castle/padwirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}

}


textures/castle/marble_jumpad_1b_b
{
	qer_editorimage textures/castle/marble_jumpad_1b_edit.tga
	q3map_lightimage textures/castle/jumppadsmall_b.tga	
	q3map_surfacelight 200
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/castle/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/castle/marble_jumpad_1b.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/castle/marble_padglow.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
	{
		clampmap textures/castle/padwirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}

}


textures/castle/marble_jumpad_4a_b
{
	qer_editorimage textures/castle/marble_jumpad_4a_edit.tga
	q3map_lightimage textures/castle/jumppadsmall_b.tga	
	q3map_surfacelight 200
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/castle/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/castle/marble_jumpad_4a.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/castle/marble_padglow.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
	{
		clampmap textures/castle/padwirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}

}


textures/castle/marble_jumpad_2a_b
{
	qer_editorimage textures/castle/marble_jumpad_2a_edit.tga
	q3map_lightimage textures/castle/jumppadsmall_b.tga	
	q3map_surfacelight 200
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/castle/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/castle/marble_jumpad_2a.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/castle/marble_padglow.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
	{
		clampmap textures/castle/padwirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}

}

//*************************** end of pads *************************************//
/////////////////////////////////////////////////////////////////////////////////












	//**********************************************//
	//						//
	//                 Liquids   			//
	//          Lava, Slime, Vater, ect.		//
	//**********************************************//

textures/castle/lava_g2
{
	// Added to g3map_global texture on May 11, 1999
	q3map_lightimage textures/liquids/lavahell.tga
	qer_trans .4
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/castle/lava_g2.tga
		//blendfunc GL_ONE GL_ONE
		tcMod turb 0 .2 0 .1
	}
	{
		map textures/liquids/lavahell.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0 .2 0 .1
	}

}

textures/castle/slime_g2
	{
	//	*************************************************		
	//	* SLIME Feb 11 1999 				*
	//	* IF YOU CHANGE THIS PLEASE COMMENT THE CHANGE	*
	//	*************************************************	

		// Added to g3map_global texture on May 11, 1999
		qer_editorimage textures/castle/slime_g2.tga
		q3map_lightimage textures/liquids/slime7.tga
		q3map_globaltexture
		qer_trans .4

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 200
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/castle/slime_g2.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}	
		{
			map textures/liquids/slime7.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		

	}

//*************************** end of liquids***********************************//
/////////////////////////////////////////////////////////////////////////////////










	//**********************************************//
	//						//
	//                 FLAGG   			//
	//         UMULIG  finn Banner Flagg		//
	//**********************************************//


textures/castle/flag_banner
{
    	qer_editorimage textures/castle/banner_strgg.tga
	cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
       
	deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
	    //deformVertexes wave 100 sin 0 3 0 .7

		sort banner
        {
                map textures/castle/banner_strgg.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}

//*************************** end of flag *************************************//
/////////////////////////////////////////////////////////////////////////////////












	//**********************************************//
	//						//
	//               PentaGram Glow  		//
	//            p kum_cg1 og marble 		//
	//**********************************************//

textures/castle/marble_2a_penta
{
	q3map_lightimage textures/sfx/pentagramfloor_blue3glowtest.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}

	{
		map textures/castle/marble_2a_penta.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}

	{
		map textures/sfx/pentagramfloor_blue3glowtest.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 5
	}

}



textures/castle/kum_cg1_penta
{
	q3map_lightimage textures/sfx/pentagramfloor_blue3glowtest.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}

	{
		map textures/castle/kum_cg1_penta.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}

	{
		map textures/sfx/pentagramfloor_blue3glowtest.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 5
	}

}

//*************************** Pentagram ***************************************//
/////////////////////////////////////////////////////////////////////////////////






